#include "led.h"

void led_init(led_handle_t *hled, GPIO_TypeDef *port, uint16_t pin)
{
    hled->port = port;
    hled->pin = pin;

    HAL_GPIO_WritePin(port, pin, GPIO_PIN_SET);
}

void led_on(led_handle_t *hled)
{
    HAL_GPIO_WritePin(hled->port, hled->pin, GPIO_PIN_RESET);
}

void led_off(led_handle_t *hled)
{
    HAL_GPIO_WritePin(hled->port, hled->pin, GPIO_PIN_SET);
}